@echo off

setlocal

rem 
rem Set JAVA_HOME and J2EE_HOME before running this script.
rem 
rem set JAVA_HOME to the path where you have Java 2 installed.
rem
rem set J2EE_HOME to the path where you have installed this package (EJB server).
rem

set JAVA_HOME=%~dp0..\..\tools\jre-1.5.0\jre
set J2EE_HOME=%~dp0..\..\tools\tomcat
set CLASSPATH=%J2EE_HOME%\..\hypersonic\lib\hsqldb.jar

if EXIST "%J2EE_HOME%\bin\catalina.bat" goto CONT0
echo ERROR: Set J2EE_HOME to the path of a valid Tomcat installation.
goto END
:CONT0

if EXIST "%JAVA_HOME%\bin\java.exe" goto CONT1
echo ERROR: Set JAVA_HOME to the path of a valid jre.
goto END
:CONT1

if EXIST "bin\start.cmd" goto CONT2
echo ERROR: you must run this script from the SyncServer home directory
goto END
:CONT2

REM
REM Other settings
REM

set JAVA_OPTS=%JAVA_OPTS% -Djava.security.auth.login.config="%J2EE_HOME%/conf/serverlogin.config"
set JAVA_OPTS=%JAVA_OPTS% -Dfunambol.ds.home="%~dp0.."
set JAVA_OPTS=%JAVA_OPTS% -Dfile.encoding=UTF-8
set JPDA_OPTS="-Xdebug -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n"
set JPDA_TRANSPORT=dt_socket
set JPDA_ADDRESS=8787

cd "%J2EE_HOME%"\bin

REM
REM Run Tomcat for normal use
REM
call catalina.bat start

REM
REM Run Tomcat for debug
REM
REM call catalina.bat jpda start

:END
endlocal
