@echo off

rem 
rem Set JAVA_HOME and J2EE_HOME before running this script.
rem 
rem set JAVA_HOME to the path where you have Java 2 installed.
rem
rem set J2EE_HOME to the path where you have installed this package (EJB server).
rem

if not "%J2EE_HOME%" == "" goto CONT0
echo ERROR: Set J2EE_HOME before running this script.
goto END
:CONT0

if EXIST "%J2EE_HOME%\bin\setenv.bat" goto CONT1
echo ERROR: Set J2EE_HOME to the path of a valid j2sdkee.
goto END
:CONT1

call "%J2EE_HOME%\bin\setenv.bat"

if not "%JAVA_HOME%" == "" goto CONT2
echo ERROR: Set JAVA_HOME before running this script.
goto END
:CONT2

if EXIST "%JAVA_HOME%\bin\java.exe" goto CONT3
echo ERROR: Set JAVA_HOME to the path of a valid jdk.
goto END
:CONT3

if EXIST "bin\start.cmd" goto CONT4
echo ERROR: you must run this script from the Funambol home directory
goto END
:CONT4

REM
REM Other settings
REM


REM ... for debugging ...
REM %JAVA_COMMAND% -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_shmem,server=y,address=funambol,suspend=n %LISTEN_OPTIONS% -Dfunambol.log.level=INFO -Dorg.xml.sax.parser=org.xml.sax.helpers.XMLReaderAdapter -Dorg.xml.sax.driver=org.apache.crimson.parser.XMLReaderImpl -Djms.home=%JMS_HOME% -Dcom.sun.jms.service.jdbc.dbpath=%JMS_DB_PATH% -Djms.properties=%J2EE_HOME%\config\jms_service.properties -Djava.security.policy=%CD%\lib\security\server.policy -Djava.security.auth.login.config=%CD%\lib\security\serverlogin.config -Dcom.sun.enterprise.home=%J2EE_HOME% -classpath %CPATH% com.sun.enterprise.server.J2EEServer -verbose %*
REM

%JAVA_COMMAND% %LISTEN_OPTIONS% -Dorg.xml.sax.parser=org.xml.sax.helpers.XMLReaderAdapter -Dorg.xml.sax.driver=org.apache.crimson.parser.XMLReaderImpl -Djms.home="%JMS_HOME%" -Dcom.sun.jms.service.jdbc.dbpath="%JMS_DB_PATH%" -Djms.properties="%J2EE_HOME%\config\jms_service.properties" -Djava.security.policy="%~dp0../lib/security/server.policy" -Djava.security.auth.login.config="%~dp0../lib/security/serverlogin.config" -Dcom.sun.enterprise.home="%J2EE_HOME%" -Dfunambol.ds.home="%~dp0.." -Dfile.encoding=UTF-8 -classpath %CPATH% com.sun.enterprise.server.J2EEServer -verbose %*

:END
