/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.engine.source;

/**
 * Models a content type info
 *
 * @version $Id: ContentType.java,v 1.1 2006/01/18 17:00:07 luigiafassina Exp $
 */
public class ContentType implements java.io.Serializable {

    public String type           = null;
    public String version        = null;
    public String capDescription = null;

    /**
     * Getter for property type.
     * @return Value of property type.
     */
    public String getType() {
        return type;
    }

    /**
     * Setter for property type.
     * @param type New value of property type.
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * Getter for property version.
     * @return Value of property version.
     */
    public String getVersion() {
        return version;
    }

    /**
     * Setter for property version.
     * @param version New value of property version.
     */
    public void setVersion(String version) {
        this.version = version;
    }

    // ------------------------------------------------------------ Constructors

    public ContentType() {
    }

    public ContentType(String type, String version) {
        this.type    = type   ;
        this.version = version;
    }

}
