/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.engine.source;

/**
 * @version $Id: FilterSpecification.java,v 1.1 2006/01/18 17:00:07 luigiafassina Exp $
 */
public class FilterSpecification implements java.io.Serializable {

    // -------------------------------------------------------------- Properties

    private ContentType   contentType;
    private String[]      keywords;
    private String[]      propName;

    // ------------------------------------------------------------- Constructor
    public FilterSpecification() {
    }


    // ----------------------------------------------------------- Getter/Setter

    /**
     * Returns the contentType.
     * @return the contentType.
     */
    public ContentType getContentType() {
        return contentType;
    }

    /**
     * Sets the contentType
     * @param contentType the new value of the contentType
     */
    public void setContentType(ContentType contentType) {
        this.contentType = contentType;
    }

    /**
     * Returns the keywords.
     * @return the keywords.
     */
    public String[] getKeywords() {
        return keywords;
    }

    /**
     * Sets the keywords
     * @param keywords the new value of the keywords
     */
    public void setKeywords(String[] keywords) {
        this.keywords = keywords;
    }

    /**
     * Returns the propName.
     * @return the propName.
     */
    public String[] getPropName() {
        return propName;
    }

    /**
     * Sets the propName
     * @param propName the new value of the propName
     */
    public void setPropName(String[] propName) {
        this.propName = propName;
    }



}
