/**
 * Copyright (C) 2003-2006 Funambol
 *
 *This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.config;

/**
 * This interface groups configuration related constants.
 *
 *
 * @version $Id: ConfigurationConstants.java,v 1.1 2006/01/18 17:00:07 luigiafassina Exp $
 */
public interface ConfigurationConstants {
    public static final String CONFIG_PATH                      = java.io.File.separator + "config";
    public static final String PROPERTY_SYSTEM_FUNAMBOL_DS_HOME = "funambol.ds.home";
    public static final String BEAN_SERVER_CONFIGURATION        = "Funambol.xml";
}
