/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.server.engine;

import com.funambol.framework.core.ModificationCommand;
import com.funambol.framework.core.StatusCode;
import com.funambol.framework.engine.SyncOperation;
import com.funambol.framework.engine.source.SyncSource;

import com.funambol.server.engine.Sync4jOperationStatus;

/**
 * This class represents a SyncOperation excecuted without problems.
 *
 * @version $Id: Sync4jOperationStatusDelete.java,v 1.1 2006/01/18 17:00:11 luigiafassina Exp $
 */
public class Sync4jOperationStatusDelete extends Sync4jOperationStatus {

    /** Creates a new instance of Sync4jOperationStatusDelete */
    public Sync4jOperationStatusDelete(SyncOperation       operation ,
                                       SyncSource          syncSource,
                                       ModificationCommand cmd       ) {
        super(operation, syncSource, cmd, StatusCode.OK);
    }

    public Sync4jOperationStatusDelete(SyncOperation       operation ,
                                       SyncSource          syncSource,
                                       ModificationCommand cmd       ,
                                       int                 statusCode) {
        super(operation, syncSource, cmd, statusCode);
    }

}
